Page 1 of 1

Update qBittorrent to v4.2.x

Posted: Sun Apr 19, 2020 11:33 am
by iFelix18
The installable version is v4.1.5, but the latest available release is v4.2.3.

Since v4.2.0 advanced options are available in WebUI, very useful in a headless server.
Can I install it?

Re: Update qBittorrent to v4.2.x

Posted: Sun Apr 19, 2020 11:44 pm
by Joulinar
Hi,

many thanks for your report. qBittorrent is installed from Debian APT packages. The latest available version is 4.1.5-1+deb10u1. There no other version available.

https://packages.debian.org/search?suit ... Bittorrent

Re: Update qBittorrent to v4.2.x

Posted: Wed Aug 12, 2020 4:48 pm
by chucklesmcgee
So I'm now seeing 4.2.5 listed as an unstable sid package. As I'm experiencing SOCKS5 issues apparently addressed in this update I'd like to give it a try.

I'm very inexperienced though, what changes do I need to make to try this version?

Re: Update qBittorrent to v4.2.x

Posted: Wed Aug 12, 2020 8:47 pm
by Joulinar
you would need to add sid repo to your source list and create a preference entry to avoid that other packages than qBittorrent will be updated. what kind of system/SBC you are running?

Re: Update qBittorrent to v4.2.x

Posted: Wed Aug 12, 2020 9:01 pm
by chucklesmcgee
Joulinar wrote: Wed Aug 12, 2020 8:47 pm you would need to add sid repo to your source list and create a preference entry to avoid that other packages than qBittorrent will be updated. what kind of system/SBC you are running?
I'm running dietpi 6.31.2 on a Rpi4 4gb

My current sources list has this-

deb http://raspbian.raspberrypi.org/raspbian buster main contrib non-free rpi

What would I add or change it to? Apologies as I'm not familiar with this.

Re: Update qBittorrent to v4.2.x

Posted: Thu Aug 13, 2020 2:10 am
by Joulinar
ok I was able to update qBittorrent

Code: Select all

root@DietPi3:/var/log# qbittorrent-nox -v
qBittorrent v4.2.5
However it's not starting afterwards

Code: Select all

qBittorrent version: v4.2.5

Caught signal: SIGSEGV
Stack trace:
  /usr/lib/arm-linux-gnueabihf/libQt5Core.so.5 : QMetaObject::indexOfEnumerator(char const*) const+0x3c  [0x7652f2c4]
  /usr/bin/qbittorrent-nox : BitTorrent::Session::Session(QObject*)+0x720  [0xa9c30]
  /usr/bin/qbittorrent-nox : BitTorrent::Session::initInstance()+0x34  [0xac360]
  /usr/bin/qbittorrent-nox : Application::exec(QStringList const&)+0x48  [0x75af0]
  /usr/bin/qbittorrent-nox : main()+0x368  [0x6f32c]
  /lib/arm-linux-gnueabihf/libc.so.6 : __libc_start_main()+0x114  [0x75f81b50]
Segmentation fault
not sure if it's working by simply adding testing repository.

Re: Update qBittorrent to v4.2.x

Posted: Thu Aug 13, 2020 4:05 am
by chucklesmcgee
Well you've saved me a headache!

Re: Update qBittorrent to v4.2.x

Posted: Thu Aug 13, 2020 2:50 pm
by Joulinar
yeah my quick and dirty try updated more packages to testing repo as it was required by qBittorrent. But it'S causing other thinks to fail now.